WOT Not Compatible With New Firefox

NotBuyingIt
Posts: 6548
Joined: Fri Mar 11, 2011 6:21 pm

RE: WOT Not Compatible With Firefox 52.x

Post by NotBuyingIt » Fri Mar 31, 2017 2:57 am

<quote user="ex_brit1941">When are you going to get WOT digitally signed so it can install on Firefox?[/quote]

The WOT staff submitted a revision of its browser extension for Firefox dated 2017-02-06 (hence, version 20170206). The Mozilla Foundation apparently finds no reason to expedite its review. See
https://addons.mozilla.org/en-us/firefox/addon/wot-safe-browsing-tool/
See also
https://www.mywot.com/forum/75290-wot-is-coming-back-to-opera#comment-360440
Post follow-ups to that discussion thread because this one is obsolete (and unlike Site Advisor moderators, the WOT moderators cannot relocate comments).

Version 20151208 of the WOT extension will run on version 52.0.2 of the Firefox browser, but the Mozilla Foundation will not permit you to install it out of serious concerns over security and privacy flaws. See
https://blocked.cdn.mozilla.net/i1523.html

Currently, only Chrome and Opera have up-to-date versions of WOT.

&nbsp;

ex_brit1941
Posts: 6
Joined: Mon Nov 17, 2014 5:55 pm

RE: WOT Not Compatible With Firefox 52.x

Post by ex_brit1941 » Fri Mar 31, 2017 2:39 pm

Thank you.

Post Reply

Who is online

Users browsing this forum: Google [Bot] and 4 guests